> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk create BitSight intelligence reports



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs post /api/v1/external-intelligence-reports/bitsight/bulk
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/external-intelligence-reports/bitsight/bulk:
    post:
      tags:
        - client-api-external-intelligence-report-rest-resource
      summary: Bulk create BitSight intelligence reports
      operationId: bulkCreateBitsightIntelligenceReports
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/BitsightReportCreateInput'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkExternalIntelligenceReportResponse'
components:
  schemas:
    BitsightReportCreateInput:
      type: object
      default: null
      properties:
        vendorDomain:
          type: string
        reportDate:
          type: string
          format: date-time
        link:
          type: string
        guid:
          type: string
        customId:
          type: string
        name:
          type: string
        description:
          type: string
        primaryDomain:
          type: string
        ratingRange:
          type: string
        ratingColor:
          type: string
        confidence:
          type: string
        rating:
          type: integer
          format: int32
      required:
        - guid
    BulkExternalIntelligenceReportResponse:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
        created:
          type: array
          items:
            type: string
            format: uuid
          uniqueItems: true
        backgroundedCount:
          type: integer
          format: int32
        backgrounded:
          type: boolean
        totalFailureCount:
          type: integer
          format: int32

````